{% extends 'base.html.twig' %}

{% block title %}Index des utilisateurs{% endblock %}

{% block body %}
    <h1>Index des utilisateurs</h1>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Prénom</th>
                <th>Nom de famille</th>
                <th>Roles</th>
                <th>Email</th>
                <th>Address</th> <!-- Fixed the typo here -->
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for user in users %}
                <tr>
                    <td>{{ user.id }}</td>
                    <td>{{ user.firstName }}</td>
                    <td>{{ user.lastName }}</td>
                    <td>{{ user.roles ? user.roles|highestRole }}</td>
                    <td>{{ user.email }}</td>
                    <td>{{ user.numberAddress }} {{ user.nameAddress }} {{ user.complementAddress }} {{ user.city }} </td>
                    <td>
                        <a href="{{ path('app_user_show', {'id': user.id}) }}">Afficher</a>
                        <a href="{{ path('app_user_edit', {'id': user.id}) }}">Modifier</a>
                        <a href="{{ path('app_user_delete', {'id': user.id}) }}">Supprimer</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="7">Aucun enregistrement trouvé</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <a href="{{ path('app_user_new') }}">Créer un nouvel utilisateur</a> <!-- Added text inside the link -->
{% endblock %}
